Subject: Re: I don't want the .git directory next to my code.

From: Mike <[email-masked]>
Date: Wed, 16 Jan 2008 12:31:07 -0500

Sean wrote:
> On Tue, 15 Jan 2008 23:07:22 -0500
> Mike <[email-masked]> wrote:
> 
> 
>>> git archive --help
>>>
>> I got:
>>
>> $ git archive --help
>> No manual entry for git-archive
>>
>> Did I install it wrong?  I have CentOS 5, and I did:
>>
>> su
>> yum install git
>>
> 
> Yes, on Centos you probably need "yum install git-core"  which installs all
> the assorted pieces and dependencies of Git.
> 

Thanks but didn't work-

# yum install git-core
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
rpmforge                  100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
updates                   100% |=========================|  951 B    00:00
addons                    100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Parsing package install arguments
Nothing to do

Also if this helps, here's what I have for git:

$ rpm -qa | grep -i git
git-1.5.2.1-1.el5.rf
xorg-x11-drv-digitaledge-1.1.0-1.1
perl-Git-1.5.2.1-1.el5.rf